
lib = {}

lib.BUSTERAXE_GETGOLDENAXERATE = 0.90
lib.BUSTERAXE_GETLUCYRATE = 0.25
lib.BUSTERAXE_GETBUSTERAXERATE = 0.20



function lib.spawnGift(inst,giver,item)
--	inst:RemoveEventCallback("animover", spawncharcoal)
	local lib = TUNING.BUSTERAXE_POND_MOD
	local gift = nil

	-- spawn a gift
	if item.prefab == "axe" then
		if math.random() <= lib.BUSTERAXE_GETGOLDENAXERATE then
    		gift = SpawnPrefab("goldenaxe")
		else
    		gift = SpawnPrefab("fish")
		end
	elseif item.prefab == "goldenaxe" then
		if math.random() <= lib.BUSTERAXE_GETLUCYRATE then
    		gift = SpawnPrefab("lucy")
		else
    		gift = SpawnPrefab("fish")
		end
	elseif item.prefab == "lucy" then
		if math.random() <= lib.BUSTERAXE_GETBUSTERAXERATE then
    		gift = SpawnPrefab("busteraxe")
		else
    		gift = SpawnPrefab("fish")
		end
	end

	-- throw the gift out
    local pt = Vector3(inst.Transform:GetWorldPosition()) + Vector3(0,2,0)
    gift.Transform:SetPosition(pt:Get())
    local down = TheCamera:GetDownVec()
    local angle = math.atan2(down.z, down.x) + (math.random()*60)*DEGREES
    local sp
    if inst.prefab == "tidalpool" then
    	sp = 6 + math.random()
    else
    	sp = 3 + math.random()
    end
    gift.Physics:SetVel(sp*math.cos(angle), math.random()*2+8, sp*math.sin(angle))
end



function lib.onAccept(inst,giver,item)
--	print("busteraxe pond onAccept")
	local lib = TUNING.BUSTERAXE_POND_MOD
	lib.spawnGift(inst,giver,item)
end



return lib
